/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * This ReactiveException is throwed when an entity that is not the owner of an Event
 *   try to (re)name or delete it.
 */
public final class EventOwnerException extends ReactiveException {

	private static final long serialVersionUID = -7949943102380272418L;

	public EventOwnerException() {
	}
}
