/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.facet.event;

import org.xmloperator.reactive.Event;

/**
 * Abstract BoolCondition implementation.
 */
public abstract class BoolConditionImpl implements BoolCondition {
	
	//////////////////////////
	// BoolNode implementation
	//////////////////////////
	
	public boolean isResolved() {
		return false;
	}
	
	public boolean booleanValue() {
		return false;
	}

	public Event getBaseEvent() {
		return null;
	}
	
	public boolean isNegativeEvent() {
		return false;
	}
	
	public BoolCondition getCondition1() {
		return null;
	}

	public BoolCondition getCondition2() {
		return null;
	}

	public boolean isAndNode() {
		return false;
	}

	public boolean containsNegativeEvent() {
		return false;
	}

	public BoolCondition restAfterEvent(Event event) {
		return this;
	}

	public BoolCondition restAtEndOfInstant() {
		return this;
	}
}
