/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.test;

import org.xmloperator.reactive.CrashingReport;

/**
 * Report implementation.
 */
public final class CrashingReportImpl implements CrashingReport {
	
	private boolean isAllOk = true;

	/////////////////////////////////////
	// AgentCrashingReport implementation
	/////////////////////////////////////
	
	public void notifyCrash(String entityId, Exception exception) {
		this.isAllOk = false;
		exception.printStackTrace();
	}
	
	public boolean isAllOk() {
		return this.isAllOk;
	}
}
