/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * This interface is concerned by the global machine behaviour.
 */
public interface Machine {

	/**
	 * Gives some time to lower priority threads.
	 * @param motivation motivation of this action.
	 */
	public void breathe(String motivation);
}
