/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

/**
 * Attachment composed with terms.
 */
public interface TermsAttachment extends CertifiedAttachment {
	
	/**
	 * Returns the terms of this Attachment.
	 * @return the terms of this Attachment.
	 */
	public Terms getTerms();
}
