/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action.reject;

import org.xmloperator.reactive.Action;

import org.xmloperator.reactive.element.TranslatableObject;

/**
 * Criterium for rejecting an Action.
 */
public interface ActionRejector extends TranslatableObject {
	
	/**
	 * Returns true for rejecting the given Action, false elsewhere.
	 * @param action an Action.
	 * @return true for rejecting the given Action, false elsewhere.
	 */
	public boolean rejects(Action action);
}
