/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.impl;

import java.util.Comparator;

import org.xmloperator.reactive.element.Element;
import org.xmloperator.reactive.element.RWParentElement;

/**
 * RWParentElement implementation.
 */
final class RWParentElementImpl extends RWElementImpl
		implements RWParentElement {

	RWParentElementImpl(ParentElementImpl element) {
		super(element);
	}

	/////////////////////////////////
	// RWParentElement implementation
	/////////////////////////////////
	
	public void appendChild(Element element) {
		((ParentElementImpl)this.element).appendChild((ElementImpl)element);
	}

	public void removeChildren() {
		((ParentElementImpl)this.element).removeChildren();
	}
	
	public void sortChildren(Comparator elementComparator) {
		((ParentElementImpl)this.element).sortChildren(elementComparator);
	}
}
